#include "mainwindow.h"
#include <QAction>
#include <QMenu>
#include <QMenuBar>
#include <QWindow>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    action1 = new QAction("Action1");
    action1->setShortcut( QKeySequence("CTRL+ALT+O")); //CMD+ALT+O on macOS
    action2 = new QAction("Action2");
    action2->setShortcut( QKeySequence("CTRL+ALT+L")); //CMD+ALT+L on macOS

    menu1 = new QMenu("Menu1");
    menu2 = new QMenu("Menu2");

    menubar = new QMenuBar(0);  //One menubar for all windows
    menubar->addMenu(menu1);
    menu1->addMenu(menu2);

    connect( action1, SIGNAL(triggered(bool)), this, SLOT(actionTriggered(bool)));
    menu1->addAction(action1);

    connect( action2, SIGNAL(triggered(bool)), this, SLOT(actionTriggered(bool)));
    menu2->addAction(action2);
}

MainWindow::~MainWindow()
{
    delete menubar;
}

void MainWindow::actionTriggered(bool)
{
    qDebug()<<Q_FUNC_INFO;
}
